///////////////////////////////////////////////////////////
////// GibPascal pascal_X11.h
////// Released under the GPLv3
////// Written by:
//////    Michael Gibson
//////    (c)2003-2021
///////////////////////////////////////////////////////////

#include<X11/Xlib.h>

#define EVENT_MASK (ButtonPressMask | KeyPressMask | ExposureMask)

int      X11return;

Display  *display;       // X server connection
Window    window;        // Window ID

char *X_BG = "0xCCCCCC"; //default Background 

unsigned long X_RED     = 16711680; //FF0000 color 01
unsigned long X_RED2    = 14483456; //DD0000 color 02
unsigned long X_RED3    = 12255232; //BB0000 color 03
unsigned long X_RED4    = 0;        //990000 color 04
unsigned long X_RED5    = 0;        //770000 color 05

unsigned long X_GREEN   = 65280;    //00FF00 color 11
unsigned long X_GREEN2  = 56576;    //00DD00 color 12
unsigned long X_GREEN3  = 0;        //00BB00 color 13
unsigned long X_GREEN4  = 0;        //009900 color 14
unsigned long X_GREEN5  = 0;        //007700 color 15

unsigned long X_BLUE    = 255;      //0000FF color 21
unsigned long X_BLUE2   = 221;      //0000DD color 22
unsigned long X_BLUE3   = 187;      //0000BB color 23
unsigned long X_BLUE4   = 153;      //000099 color 24
unsigned long X_BLUE5   = 119;      //000077 color 25

unsigned long X_YELLOW  = 16776960; //FFFF00 color 31
unsigned long X_YELLOW2 = 0;        //DDDD00 color 32
unsigned long X_YELLOW3 = 12303104; //BBBB00 color 33
unsigned long X_YELLOW4 = 0;        //999900 color 34
unsigned long X_YELLOW5 = 0;        //777700 color 35

unsigned long X_WHITE   = 16777215;
unsigned long X_GREY    = 13421772;
unsigned long X_DGREY   =  9474192;
unsigned long X_BLACK   =        0; 
